Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoComposeVec3f Class Reference
[Engine classes]

The SoComposeVec3f class is used to compose 3D vectors from floats. More...

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoComposeVec3f:

List of all members.

## Public Attributes
SoMFFloat | x
SoMFFloat | y
SoMFFloat | z
SoEngineOutput | vector

## Detailed Description

The SoComposeVec3f class is used to compose 3D vectors from floats.

## Member Data Documentation

SoMFFloat SoComposeVec3f::x

| First coordinates of the output vectors.

SoMFFloat SoComposeVec3f::y

| Second coordinates of the output vectors.

SoMFFloat SoComposeVec3f::z

| Third coordinates of the output vectors.

SoEngineOutput SoComposeVec3f::vector

| (SoMFVec3f) 3D vectors.

The documentation for this class was generated from the following files:

- SoComposeVec3f.h
- SoComposeVec3f.cpp